Bug 1020918 - [abrt] python-mwlib-0.13.8-2.fc18: pool.py:101:join:URLError: <urlopen error [Errno 101] Network is unreachable>
[abrt] python-mwlib-0.13.8-2.fc18: pool.py:101:join:URLError: <urlopen error ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-mwlib (Show other bugs)
18
x86_64 Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
abrt_hash:48ef5883dfa255eb8c978c29e02...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 09:59 EDT by John J. McDonough
Modified: 2014-02-05 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:29:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.50 KB, text/plain)
2013-10-18 09:59 EDT, John J. McDonough
no flags Details
File: core_backtrace (756 bytes, text/plain)
2013-10-18 09:59 EDT, John J. McDonough
no flags Details
File: environ (4.58 KB, text/plain)
2013-10-18 09:59 EDT, John J. McDonough
no flags Details

  None (edit)
Description John J. McDonough 2013-10-18 09:59:24 EDT
Description of problem:
Converting wiki pages for Fedora 20 release notes.  Get many:
ERR: <urlopen error [Errno 101] Network is unreachable>
although current network is quite reachable.

Command was:
/usr/bin/mw-render -c http://fedoraproject.org/w/ -w docbook Documentation_Productivity_Beat -o mw-render_out/Productivity.inter


Version-Release number of selected component:
python-mwlib-0.13.8-2.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/mw-render -c http://fedoraproject.org/w/ -w docbook Documentation_Desktop_Beat -o mw-render_out/Desktop.inter
dso_list:       python-gevent-0.13.6-3.fc18.x86_64
executable:     /usr/bin/mw-render
kernel:         3.10.4-100.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
pool.py:101:join:URLError: <urlopen error [Errno 101] Network is unreachable>

Traceback (most recent call last):
  File "/usr/bin/mw-render", line 9, in <module>
    load_entry_point('mwlib==0.13.8', 'console_scripts', 'mw-render')()
  File "/usr/lib64/python2.7/site-packages/mwlib/apps/render.py", line 235, in main
    return Main()()
  File "/usr/lib64/python2.7/site-packages/mwlib/apps/render.py", line 192, in __call__
    env = self.get_environment()
  File "/usr/lib64/python2.7/site-packages/mwlib/apps/render.py", line 125, in get_environment
    self.zip_filename = make_zip(output=self.options.keep_zip, options=self.options, metabook=env.metabook, status=self.status)
  File "/usr/lib64/python2.7/site-packages/mwlib/apps/buildzip.py", line 50, in make_zip
    make_nuwiki(fsdir, metabook=metabook, options=options, podclient=podclient, status=status)
  File "/usr/lib64/python2.7/site-packages/mwlib/apps/make_nuwiki.py", line 193, in make_nuwiki
    pool.join(raise_error=True)
  File "/usr/lib64/python2.7/site-packages/gevent/pool.py", line 101, in join
    raise greenlet.exception
URLError: <urlopen error [Errno 101] Network is unreachable>

Local variables in innermost frame:
raise_error: True
self: <Pool at 0x2ddcf90 set([])>
greenlet: <Greenlet at 0x2df4f30: <bound method start_fetcher.run of <mwlib.apps.make_nuwiki.start_fetcher object at 0x2e6d690>>>
timeout: None
greenlets: set([<Greenlet at 0x2df4f30: <bound method start_fetcher.run of <mwlib.apps.make_nuwiki.start_fetcher object at 0x2e6d690>>>])
Comment 1 John J. McDonough 2013-10-18 09:59:28 EDT
Created attachment 813784 [details]
File: backtrace
Comment 2 John J. McDonough 2013-10-18 09:59:30 EDT
Created attachment 813785 [details]
File: core_backtrace
Comment 3 John J. McDonough 2013-10-18 09:59:36 EDT
Created attachment 813786 [details]
File: environ
Comment 4 John J. McDonough 2013-10-18 10:24:25 EDT
Blocks Fedora 20 Release Notes
Comment 5 Fedora End Of Life 2013-12-21 09:41:19 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 17:29:23 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.